GET
/album/new-releasesReturns the latest global album releases. Useful for a "New Releases" feed.
Rate limit
30 req/min
Caching
Cached in the internal database for 1 hour.
Authentication
Send a
User-Agent header containing a contact email. See authentication.Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| limit | integer | optional | How many releases to return. Defaults to 20, max 50. |
Request
curl 'https://api.synkradio.co.uk/album/new-releases' \
-H 'User-Agent: [email protected]'Try it
GETTry it
Sends a real requesthttps://api.synkradio.co.uk/album/new-releasesResponse
200 application/json
[
{
"id": 993652651,
"title": "Cry Baby",
"artist": {
"id": 4037971,
"name": "Vince Staples"
},
"cover": "https://api.synkradio.co.uk/cover?artist=Vince%20Staples&title=Cry%20Baby",
"releaseDate": "2026-06-05",
"recordType": "album"
},
{
"id": 996031821,
"title": "NATURE IS HEALING",
"artist": {
"id": 159503852,
"name": "horsegiirL"
},
"cover": "https://api.synkradio.co.uk/cover?artist=horsegiirL&title=NATURE%20IS%20HEALING",
"releaseDate": "2026-06-05",
"recordType": "album"
}
]